Run of fresh-snapshots for numpy-stl

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
[2022-05-05 05:17:32] Opening branch at https://salsa.debian.org/python-team/modules/numpy-stl.git/,branch=master
[2022-05-05 05:17:33] Using cached branch https://janitor.debian.net/git/numpy-stl/,branch=debian%2Flatest
[2022-05-05 05:17:33] Using resume branch: https://janitor.debian.net/git/numpy-stl,branch=fresh-snapshots%2Fmain
[2022-05-05 05:17:35]   90% (204/226)
[2022-05-05 05:17:35] Total 1906 (delta 247), reused 96 (delta 96), pack-reused 1575
[2022-05-05 05:17:37] Total 11 (delta 0), reused 11 (delta 0), pack-reused 0
[2022-05-05 05:17:37] 
[2022-05-05 05:17:38] Total 42 (delta 2), reused 0 (delta 0), pack-reused 1
[2022-05-05 05:17:38] 
[2022-05-05 05:17:44] All changes applied successfully.
[2022-05-05 05:17:44] Total 4 (delta 0), reused 0 (delta 0), pack-reused 0
[2022-05-05 05:17:44] 
[2022-05-05 05:17:45] restarting branch
[2022-05-05 05:17:45] Total 4 (delta 0), reused 0 (delta 0), pack-reused 0
[2022-05-05 05:17:49] All changes applied successfully.
[2022-05-05 05:17:49] Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
[2022-05-05 05:17:50] Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
[2022-05-05 05:17:50] Workspace ready - starting.
[2022-05-05 05:17:50] Running ['deb-new-upstream', '--snapshot', '--refresh-patches']
Using upstream branch https://github.com/WoLpH/numpy-stl.git (from configuration)
Total 1925 (delta 41), reused 47 (delta 17), pack-reused 1838
Using version string 2.16.2+git20220203.1.988630f.
No upstream upstream-revision format specified, trying tag:2.9.0
No upstream upstream-revision format specified, trying tag:numpy-stl-2.9.0
No upstream upstream-revision format specified, trying tag:v2.9.0
Not including upstream history, since previous upstream version (2.9.0) is not present in packaging branch history.
Looking for upstream 2.16.2+git20220203.1.988630f in upstream branch <RemoteGitBranch('https://github.com/WoLpH/numpy-stl.git/', 'develop')>.
Running dist command: SCHROOT=unstable-amd64-sbuild PYTHONPATH=/:/code:/code/breezy:/code/dulwich:/code/lintian-brush:/code/ognibuild:/code/silver-platter:/code/buildlog-consultant:/code/upstream-ontologist:/code/debmutate:/code/python-debian/lib:/usr/lib/python39.zip:/usr/lib/python3.9:/usr/lib/python3.9/lib-dynload:/usr/local/lib/python3.9/dist-packages:/usr/lib/python3/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/tmp/janitordrz0y1gd/numpy-stl/debian
Opened schroot session unstable-amd64-sbuild-2d59e376-af6c-47f1-a878-c592871e2635 (from unstable-amd64-sbuild)
apt: running ['apt', '-y', 'satisfy', 'debhelper-compat (= 10), dh-python,\n python3-all-dev,\n python3-setuptools,\n cython3,\n python3-numpy,\n python3-pytest, python3-pytest-runner']
Ignoring error installing declared build dependencies (apt-file-fetch-failure): Apt file fetch error: 404  Not Found [IP: 146.75.94.132 80]
Creating directory /root in schroot session.
Using dependency resolver: [apt, cpan, ctan, pypi, npm, go, hackage, cran, cran, octave-forge]
Loading apt contents information
apt: running ['apt', '-y', 'satisfy', 'python3-setuptools']
Running ['python3', './setup.py', 'sdist']
Found new tarball numpy-stl-2.16.3.tar.gz in /var/run/schroot/mount/unstable-amd64-sbuild-2d59e376-af6c-47f1-a878-c592871e2635/build/tmpm9jblidl/numpy-stl/dist.
Found tarball numpy-stl-2.16.3.tar.gz in parent directory.
Searching for revision importing numpy-stl version 2.9.0 on branch upstream, packaging branch, tag debian/2.9.0-1, tag debian/2.9.0-2.
Upstream import of 2.9.0 lacks a tag. Set one by running: brz tag -rrevid:git-v1:063328458148189818c377c2f586bd82224567ef upstream/2.9.0
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/2.9.0-1 points at non-present sha 2ca9cb3fc76e8e57b1bc57e9909c613f60f662cf
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/2.9.0-2 points at non-present sha 429319db12d7cfa211200acf58137c51ea24a21d
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/2.9.0 points at non-present sha 7fcf7c564b0f35e760925d4412d210e45ce8bf99
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/2.3.2 points at non-present sha 47e6f7d6594fb63cda5cce0b1e0e8e34b2178141
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/2.3.2-1 points at non-present sha 1c072439bed9ee6e2b51caa253291bb8119086ec
  warnings.warn(
debian/2.9.0-1 does not point to a valid object
debian/2.9.0-2 does not point to a valid object
upstream/2.9.0 does not point to a valid object
upstream/2.3.2 does not point to a valid object
debian/2.3.2-1 does not point to a valid object
Revision b'git-v1:4b4e0749a09c332afed89b23492598e7d3a694f2' exists in repository but not in upstream branch, ignoring
Imported numpy-stl_2.16.2+git20220203.1.988630f.orig.tar.gz with pristine-tar.
All changes applied successfully.
Committing to: /tmp/janitordrz0y1gd/numpy-stl/
deleted .codeclimate.yml
deleted .coveragerc
deleted .github
deleted .github/stale.yml
deleted .gitignore
deleted .pyup.yml
deleted .travis.yml
deleted CONTRIBUTING.rst
renamed README.rst => PKG-INFO
modified README.rst
renamed README.rst => numpy_stl.egg-info/PKG-INFO
deleted appveyor.yml
deleted build.cmd
modified debian/changelog
added numpy_stl.egg-info
added numpy_stl.egg-info/SOURCES.txt
added numpy_stl.egg-info/dependency_links.txt
added numpy_stl.egg-info/entry_points.txt
added numpy_stl.egg-info/requires.txt
added numpy_stl.egg-info/top_level.txt
deleted pytest.ini
modified setup.cfg
modified setup.py
modified stl/__about__.py
modified stl/_speedups.pyx
modified stl/base.py
modified stl/main.py
added stl/py.typed
modified stl/stl.py
modified tests/requirements.txt
added tests/stl_ascii/Cube.stl
modified tests/stl_ascii/HalfDonut.stl
added tests/stl_ascii/Moon_Chinese.stl
added tests/stl_binary/Cube.stl
added tests/stl_binary/CubeInvalidUnicode.stl
modified tests/stl_corruption.py
added tests/stl_tests
added tests/stl_tests/bwb.stl
added tests/stl_tests/dos.stl
added tests/stl_tests/triamid.stl
added tests/stl_tests/unix.stl
modified tests/test_ascii.py
modified tests/test_binary.py
added tests/test_line_endings.py
modified tests/test_mesh.py
modified tests/test_meshProperties.py
modified tests/test_multiple.py
deleted tox.ini
Committed revision 25.
Merged new upstream version 2.16.2+git20220203.1.988630f (previous: 2.9.0)
Merge new upstream version 2.16.2+git20220203.1.988630f
[2022-05-05 05:20:23] Actual command: ['deb-new-upstream', '--snapshot', '--refresh-patches']
[2022-05-05 05:20:32] Opened schroot session unstable-amd64-sbuild-ff019ba3-af64-4ebe-af5e-e68553b8bd3c (from unstable-amd64-sbuild)
[2022-05-05 05:20:34] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, debcargo_coerce_unacceptable_prerelease), SimpleBuildFixer(DebcargoUnacceptableComparator, debcargo_coerce_unacceptable_prerelease), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f7777055700>, [functools.partial(<function python_tie_breaker at 0x7f7776ce1af0>, <GitWorkingTree of /tmp/janitordrz0y1gd/numpy-stl>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/unstable-amd64-sbuild-ff019ba3-af64-4ebe-af5e-e68553b8bd3c'), <function popcon_tie_breaker at 0x7f7776ce5790>]))]
[2022-05-05 05:20:34] Building debian packages, running 'sbuild -A -s -v'.
[2022-05-05 05:24:41] Built ['numpy-stl_2.16.2+git20220203.1.988630f-1~jan+nus2_amd64.changes'].
[2022-05-05 05:24:42] Running lintian
[2022-05-05 05:24:50] Pushing result branch to {'git': 'https://janitor.debian.net/git', 'bzr': 'https://janitor.debian.net/bzr'}

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☑ command has not changed
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☒ merge proposals for the package maintainer are currently being rate-limited (open: 1257, max open: 300)
  • ☒ change set 84342e2b-e73b-4ada-9938-0a09d59503fd is working

Full worker log Full build log